Bug 1000312 - Allow parametrization of (not only) MVEL scripts in EPN
Allow parametrization of (not only) MVEL scripts in EPN
Status: ASSIGNED
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ---
: FUTURE
Assigned To: Gary Brown
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 03:31 EDT by Jiri Pechanec
Modified: 2015-11-02 03:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RTGOV-257 Major Resolved Allow parametrization of (not only) MVEL scripts in EPN 2014-07-21 10:23:01 EDT

  None (edit)
Description Jiri Pechanec 2013-08-23 03:31:12 EDT
EPN allows to use MVEL or Java class as processor or predicate.
It would be great addition to re-usability of the scripts and classe if it would be possible to pass a set of parameters from epn.json to the processor/evaluator for the instance.

It could work in a similar way as injection of services - via EPNContext.
Comment 1 Gary Brown 2013-08-23 04:40:05 EDT
Good idea Jiri. Would it be possible to create a linked jira for this aswell - looks better if other people are starting to create jiras in the community project :)
Comment 2 Jiri Pechanec 2013-08-27 08:27:12 EDT
First non-Gary's RTGov community Jira created ;-)
Comment 3 JBoss JIRA Server 2014-07-15 13:23:37 EDT
Gary Brown <gary@brownuk.com> updated the status of jira RTGOV-257 to Resolved
Comment 4 Gary Brown 2014-07-15 13:30:17 EDT
Feature has been implemented, but haven't moved to MODIFIED as not yet ack'd by QA.

Note You need to log in before you can comment on or make changes to this bug.